> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hckrt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transition report status

> Requires reports:triage. Use GET on this resource to discover currently executable transitions.



## OpenAPI

````yaml /openapi/external-admin-v1.json post /reports/{id}/transitions
openapi: 3.0.3
info:
  title: Hackrate External Admin API
  version: v1
  description: >-
    Program discovery and report triage for users with assigned Hackrate roles.
    Tokens are created in Profile Settings > External API.
servers:
  - url: https://www.hckrt.com/api/v1/admin
security:
  - personalToken: []
paths:
  /reports/{id}/transitions:
    post:
      summary: Transition report status
      description: >-
        Requires reports:triage. Use GET on this resource to discover currently
        executable transitions.
      parameters:
        - $ref: '#/components/parameters/reportId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransitionInput'
      responses:
        '204':
          description: Transitioned
        '400':
          $ref: '#/components/responses/BadRequest'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '409':
          description: Invalid source status or role
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  parameters:
    reportId:
      name: id
      in: path
      required: true
      schema:
        type: integer
  schemas:
    TransitionInput:
      type: object
      required:
        - transition
      properties:
        transition:
          type: string
          enum:
            - invalid
            - spam
            - out_of_scope
            - needs_more_info
            - triaged
            - resolved
            - accepted_risk
            - new_to_review
            - informative
            - duplicate
            - reopen
        message:
          type: string
        duplicateOfReportId:
          type: integer
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
  responses:
    BadRequest:
      description: Invalid filter, sort, range, limit, direction, or cursor
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
    Forbidden:
      description: The role or token scope does not allow the operation
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
    NotFound:
      description: Resource not found or outside the token owner's access
    RateLimited:
      description: Per-token limit of 120 requests per minute exceeded
  securitySchemes:
    personalToken:
      type: http
      scheme: bearer
      bearerFormat: hckrt_pat token

````